<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.DistrictMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.District">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="district_name" property="districtName" />
        <result column="enterprise_id" property="enterpriseId" />
        <result column="address" property="address" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="supervisor_id" property="supervisorId" />
        <result column="province" property="province" />
        <result column="city" property="city" />
        <result column="countyseat" property="countyseat" />
        <result column="memo" property="memo" />
        <result column="contact" property="contact" />
        <result column="mail" property="mail" />
        <result column="buildCount" property="buildCount" />
        <result column="district_number" property="districtNumber" />
        <result column="phone" property="phone" />
        <result column="advise_url" property="adviseUrl" />
        <result column="install_type" property="installType" />
        <result column="warning" property="warning" />
        <result column="airdetector_flag" property="airdetectorFlag" />
        <result column="app_url" property="appUrl" />
        <result column="applet_url" property="appletUrl" />
        <result column="warning2" property="warning2" />
        <result column="warning3" property="warning3" />
        <result column="warning_time" property="warningTime" />
        <result column="online_state" property="onlineState" />
        <result column="paper_percent_warn" property="paperPercentWarn" />
        <result column="point_state" property="pointState" />
        <result column="assignment_work_state" property="assignmentWorkState" />
        <result column="air_state" property="airState" />
        <result column="first_character" property="firstCharacter" />
        <result column="business_format" property="businessFormat" />
        <result column="sales_id" property="salesId" />
        <result column="sales_name" property="salesName" />
        <result column="attribute_id" property="attributeId" />
        <result column="attribute_name" property="attributeName" />
        <result column="punch_flag" property="punchFlag" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, district_name, enterprise_id, address, property_id, agent_id, supervisor_id, province, city, countyseat, memo, contact, mail, buildCount, district_number, phone, advise_url, install_type, warning, airdetector_flag, app_url, applet_url, warning2, warning3, warning_time, online_state, paper_percent_warn, point_state, assignment_work_state, air_state, first_character, business_format, sales_id, sales_name, attribute_id, attribute_name, punch_flag
    </sql>

</mapper>
